Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A utility for setting up encrypted filesystems
Name: 		cryptsetup-luks
Version: 	1.0.6
Release: 	1
License: 	GPLv2
Group: 		System/Security
URL: 		http://cryptsetup.googlecode.com/
Source: 	http://cryptsetup.googlecode.com/files/cryptsetup-%{version}.tar.bz2
# 2008-04-15: sent to upstream via personal e-mail to Clemens Fruhwirth
Patch0: 	cryptsetup-prompt.patch
# 2008-05-28: sent to upstream via newsgroup:
# http://permalink.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/2735
Patch1: 	cryptsetup-luks-1.0.6-duplicate_sentence.patch
Patch2: 	cryptsetup-fix-fd.patch
Patch3: 	cryptsetup-remove-udev.patch
Patch4: 	cryptsetup-detect-dm.patch
Patch5: 	cryptsetup-descriptive-errors.patch
Patch6: 	cryptsetup-wipe-headers.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: 	cryptsetup = %{version}-%{release}
#Automatically resolved build dependencies
BuildRequires: device-mapper-devel
BuildRequires: e2fsprogs-devel
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: popt-devel

%description
This package contains cryptsetup, a utility for setting up
encrypted filesystems using Device Mapper and the dm-crypt target.

%package devel
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	libgcrypt-devel > 1.1.42, device-mapper-devel, e2fsprogs-devel
Summary: 	Headers and libraries for using encrypted filesystems


%description devel
The cryptsetup-luks-devel package contain libraries and header files
used for writing code that makes use of encrypted filesystems.


%prep
%setup -q -n cryptsetup-%{version}%{?devrelease:-%{devrelease}}
%patch0 -p1 -b .prompt
%patch1 -p1 -b .duplicate_sentence
%patch2 -p1 -b .fd
%patch3 -p1 -b .udev
%patch4 -p1 -b .dm
%patch5 -p1 -b .errors
%patch6 -p1 -b .wipe

iconv -f latin1 -t utf8 ChangeLog > ChangeLog.new
mv -f ChangeLog.new ChangeLog 


%build
%configure --sbindir=/sbin --libdir=/%{_lib}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf  $RPM_BUILD_ROOT/%{_lib}/*.la $RPM_BUILD_ROOT/%{_lib}/cryptsetup

# move libcryptsetup.so to %{_libdir}
pushd $RPM_BUILD_ROOT/%{_lib}
rm libcryptsetup.so
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
ln -s ../../%{_lib}/$(ls libcryptsetup.so.?.?.?) $RPM_BUILD_ROOT/%{_libdir}/libcryptsetup.so
popd 
%find_lang cryptsetup


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f cryptsetup.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog AUTHORS TODO
%{_mandir}/man8/cryptsetup.8.gz
/sbin/cryptsetup
/%{_lib}/libcryptsetup.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/libcryptsetup.h
%{_libdir}/libcryptsetup.so
%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Jan 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.6-1
- Initial CCux package release
